MRCAL(1)

NAME
mrcal-from-cahvor - Converts a .cahvor-formatted camera model to the .cameramodel file format

SYNOPSIS
  $ mrcal-from-cahvor model1.cahvor model2.cahvor
  Wrote model1.cameramodel
  Wrote model2.cameramodel

DESCRIPTION
File formats supported by mrcal are described at <http://mrcal.secretsauce.net/cameramodels.html#cameramodel-file-formats>

This tool converts the given model(s) to the cameramodel file format. No changes to the content are made; this is purely a format converter (the mrcal-convert-lensmodel tool fits different lens models instead). Model filenames are given on the commandline. Output is written to the same directory, with the same filename, but with a .cameramodel extension.

If the model is omitted or given as "-", the input is read from standard input, and the output is written to standard output

OPTIONS

  POSITIONAL ARGUMENTS
  model            Input camera model

  OPTIONAL ARGUMENTS
  -h, --help       show this help message and exit
  --force, -f      By default existing files are not overwritten. Pass --force
                   to overwrite them without complaint
  --outdir OUTDIR  Directory to write the output models into. If omitted, we
                   write the output models to the same directory as the input
                   models

REPOSITORY
<https://www.github.com/dkogan/mrcal>

AUTHOR
Dima Kogan, "<dima@secretsauce.net>"

LICENSE AND COPYRIGHT
Copyright (c) 2017-2023 California Institute of Technology ("Caltech"). U.S. Government sponsorship acknowledged. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License"); You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0